> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Merchant Payout ( SUNSETTING )

> **This Endpoint is Sunsetting and you should use the stable endpoint.  Sunsetting APIs that are still supported but scheduled for deprecation.**GrailPay enables merchants to receive a single batch payout per day, consolidating multiple transactions into one payout instead of processing individual transfers separately. This helps streamline payments and reduce transaction costs.  



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/batch-merchant-payouts/{batch_merchant_payout_uuid}
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/batch-merchant-payouts/{batch_merchant_payout_uuid}:
    get:
      tags:
        - Payouts
        - Stable
      summary: Get Batch Merchant Payout ( SUNSETTING )
      description: >-
        **This Endpoint is Sunsetting and you should use the stable endpoint. 
        Sunsetting APIs that are still supported but scheduled for
        deprecation.**GrailPay enables merchants to receive a single batch
        payout per day, consolidating multiple transactions into one payout
        instead of processing individual transfers separately. This helps
        streamline payments and reduce transaction costs.  
      operationId: 2c6c00849cc41ba4f5d1d52a251be3db
      parameters:
        - name: batch_merchant_payout_uuid
          in: path
          description: UUID of the batch merchant payout
          required: true
          schema:
            type: string
            format: uuid
            example: 9bd53fe1-ac74-4e81-b6f2-be88b7c86a68
      responses:
        '200':
          description: Batch merchant payout retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: ''
                  data:
                    properties:
                      uuid:
                        type: string
                        format: uuid
                        example: ec0eb270-b656-4ffe-8799-66508ad48e18
                      amount:
                        type: number
                        format: float
                        example: 4400
                      trace_id:
                        type: string
                        example: ach_11kt6v9715jp67t
                      payout_status:
                        type: string
                        example: PAYOUT_COMPLETE
                      transactions:
                        type: array
                        items:
                          properties:
                            transaction_uuid:
                              type: string
                              format: uuid
                              example: 9ccf5706-dff0-46c7-bf74-4e34dc998485
                            amount:
                              type: number
                              format: float
                              example: 4400
                            transaction_fee:
                              type: number
                              format: float
                              example: 0
                            trace_id:
                              type: string
                              example: ach_11kt5sew15jj2dp
                            capture_status:
                              type: string
                              example: CAPTURE_COMPLETE
                          type: object
                      created_at:
                        type: string
                        format: date-time
                        example: '2025-02-16 14:15:15'
                      updated_at:
                        type: string
                        format: date-time
                        example: '2025-02-18 14:15:15'
                    type: object
                  errors:
                    type: object
                    example: null
                    nullable: true
                  error_code:
                    type: object
                    example: null
                    nullable: true
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '404':
          description: Batch merchant payout not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: The batch merchant payout not found.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  error_code:
                    type: object
                    example: null
                    nullable: true
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````